BackendHTTP APIEnvironments
List environments
Requires an Account API key with the account:environments:list scope.
Response example
{
"data": [
{
"id": 123,
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"name": "staging",
"is_production": false
}
]
}GET
List environments in the authenticated account. Optionally filter by an exact environment name.
bearerAuthheader
AuthorizationBearer <token>An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.
name?stringExact environment name to find.
Match
^[a-z0-9_-]+$Length
length <= 255Successfully listed environments
application/json- response
data*array<>curl -X GET 'https://api.tenklo.dev/environments?name=staging'Example Response
{ "data": [ { "id": 0, "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "name": "string", "is_production": true } ]}